aboutsummaryrefslogtreecommitdiff
path: root/www
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-16 23:39:46 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-16 23:39:46 +0000
commitd34d81250ef3175b74626b6168d3e312ceb8ae21 (patch)
tree2e4cb55b3deeb678b08cb52b78fc641f7cb4b0aa /www
parenta800339c9110292fdc6a431f6f3cbb3bb3a54938 (diff)
downloadslackbuilds-d34d81250ef3175b74626b6168d3e312ceb8ae21.tar.gz
slackbuilds-d34d81250ef3175b74626b6168d3e312ceb8ae21.tar.bz2
added mod_tsunami
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1230 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'www')
-rw-r--r--www/apache/mod_tsunami/mod_tsunami-3.0.diff11
-rwxr-xr-xwww/apache/mod_tsunami/mod_tsunami.SlackBuild135
2 files changed, 146 insertions, 0 deletions
diff --git a/www/apache/mod_tsunami/mod_tsunami-3.0.diff b/www/apache/mod_tsunami/mod_tsunami-3.0.diff
new file mode 100644
index 00000000..5914c913
--- /dev/null
+++ b/www/apache/mod_tsunami/mod_tsunami-3.0.diff
@@ -0,0 +1,11 @@
+--- Makefile.orig 2007-05-16 19:26:02.000000000 -0300
++++ Makefile 2007-05-16 19:26:11.000000000 -0300
+@@ -4,7 +4,7 @@
+ APXS=apxs
+
+ all:
+- ${APXS} -i -a -c mod_tsunami.c
++ ${APXS} -a -c mod_tsunami.c
+
+ clean:
+ rm -fr *~ docs/*~ *.o *.so
diff --git a/www/apache/mod_tsunami/mod_tsunami.SlackBuild b/www/apache/mod_tsunami/mod_tsunami.SlackBuild
new file mode 100755
index 00000000..17b0ef31
--- /dev/null
+++ b/www/apache/mod_tsunami/mod_tsunami.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/bash
+#
+# mod_tsunami.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# mod_tsunami.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild script for mod_tsunami
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building mod_tsunami are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="mod_tsunami"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=3.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://bertrand.demiddelaer.org/mod_tsunami/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+make
+mkdir -p $TMP/package-$PACKAGE/usr/libexec/apache
+cp mod_tsunami.so usr/libexec/apache/mod_tsunami.so
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+mod_tsunami: mod_tsunami
+mod_tsunami:
+mod_tsunami: mod_tsunami is a module for Apache 1.3.x which allows for dynamic
+mod_tsunami: limitation of the number of simultaneous requests per vhost. For
+mod_tsunami: example, it can be useful if you provide Web sites hosting, and
+mod_tsunami: don't want one Web site to use too many resources.
+mod_tsunami:
+mod_tsunami:
+mod_tsunami:
+mod_tsunami:
+mod_tsunami:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS Changelog LICENSE README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+cp $CWD/docs/* usr/doc/$PACKAGE-$VERSION/
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+